spa_log_methods Struct Reference
SPA » Support » Log

## Data Fields

uint32_t | version
void(* | log )(void *object, enum spa_log_level level, const char *file, int line, const char *func, const char *fmt,...) 1(6
| Log a message with the given log level. More...
void(*) void(* | logv )(void *object, enum spa_log_level level, const char *file, int line, const char *func, const char *fmt, va_list args) 1(6
| Log a message with the given log level. More...
void(*) void(*) void(* | logt )(void *object, enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt,...) 1(7
| Log a message with the given log level for the given topic. More...
void(*) void(*) void(*) void(* | logtv )(void *object, enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt, va_list args) 1(7
| Log a message with the given log level for the given topic. More...
void(*) void(*) void(*) void(*) void(* | topic_init )(void *object, struct spa_log_topic *topic)
| Initializes a spa_log_topic to the correct logging level. More...

## Field Documentation

## version

uint32_t spa_log_methods::version

## log

void(* spa_log_methods::log) (void *object, enum spa_log_level level, const char *file, int line, const char *func, const char *fmt,...) 1(6

Log a message with the given log level.

Note
  If compiled with this header, this function is only called for implementations of version 0. For versions 1 and above, see logt() instead.

Parameters

  log | a spa_log
  level | a spa_log_level
  file | the file name
  line | the line number
  func | the function name
  fmt | printf style format
  ... | format arguments

## logv

void(*) void(* spa_log_methods::logv) (void *object, enum spa_log_level level, const char *file, int line, const char *func, const char *fmt, va_list args) 1(6

Log a message with the given log level.

Note
  If compiled with this header, this function is only called for implementations of version 0. For versions 1 and above, see logtv() instead.

Parameters

  log | a spa_log
  level | a spa_log_level
  file | the file name
  line | the line number
  func | the function name
  fmt | printf style format
  args | format arguments

## logt

void(*) void(*) void(* spa_log_methods::logt) (void *object, enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt,...) 1(7

Log a message with the given log level for the given topic.

Note
  Callers that do not use topic-based logging (version 0), the topic is NULL

Parameters

  log | a spa_log
  level | a spa_log_level
  topic | the topic for this message, may be NULL
  file | the file name
  line | the line number
  func | the function name
  fmt | printf style format
  ... | format arguments

Since
  1

## logtv

void(*) void(*) void(*) void(* spa_log_methods::logtv) (void *object, enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt, va_list args) 1(7

Log a message with the given log level for the given topic.

Note
  For callers that do not use topic-based logging (version 0), the topic is NULL

Parameters

  log | a spa_log
  level | a spa_log_level
  topic | the topic for this message, may be NULL
  file | the file name
  line | the line number
  func | the function name
  fmt | printf style format
  args | format arguments

Since
  1

## topic_init

void(*) void(*) void(*) void(*) void(* spa_log_methods::topic_init) (void *object, struct spa_log_topic *topic)

Initializes a spa_log_topic to the correct logging level.

Since
  1

The documentation for this struct was generated from the following file:

- spa/support/log.h